/* ****** BEGIN LICENSE BLOCK *****
Version: MPL 1.1/GPL 2.0/LGPL 2.1

The contents of this file are subject to the Mozilla Public License Version 
1.1 (the "License"); you may not use this file except in compliance with 
the License. You may obtain a copy of the License at 
http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
for the specific language governing rights and limitations under the
License.

The Original Code is Checky Toolbar.

The Initial Developer of the Original Code is
Joachim Schreiber (yo@yos.biz).
Portions created by the Initial Developer are Copyright (C) 2002
the Initial Developer. All Rights Reserved.

Contributor(s):

Alternatively, the contents of this file may be used under the terms of
either the GNU General Public License Version 2 or later (the "GPL"), or
the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
in which case the provisions of the GPL or the LGPL are applicable instead
of those above. If you wish to allow use of your version of this file only
under the terms of either the GPL or the LGPL, and not to allow others to
use your version of this file under the terms of the MPL, indicate your
decision by deleting the provisions above and replace them with the notice
and other provisions required by the GPL or the LGPL. If you do not delete
the provisions above, a recipient may use your version of this file under
the terms of any one of the MPL, the GPL or the LGPL.

The Checky Toolbar plug-in is a simple Interface for Web Content and 
Web Page Developers to free and commercial Validator and Checker 
Services on the Web. We do not provide any support or guarantee. 
Any rights not expressly granted herein are reserved by their owners. 
Please visit the Web Sites of the Service owners for more informations 
about terms of usage before using Checky Toolbar the first. Hyperlinks are 
located at http://checky.mozdev.org/services.html

***** END LICENSE BLOCK ***** */

var inNewTab = false;
var checkyService;


function setNewTab(value){
	inNewTab = value;
}


function tabBtn(){
	if(document.getElementById("tabBtn").checked == false){
		setNewTab(false);	
	}
	else{
		setNewTab(true);	
	}
}


function servicesBtn(){
  if(inNewTab){
		getBrowser().addTab("http://checky.mozdev.org/services.html");
  }
  else{
	  window.content.document.location.href="http://checky.mozdev.org/services.html";
  }
}


function homeBtn(){
  if(inNewTab){
		getBrowser().addTab("http://checky.mozdev.org");
  }
  else{
	  window.content.document.location.href="http://checky.mozdev.org";
  }
 
}


function srcBtn(){
  openDialog("chrome://navigator/content/viewSource.xul",
             "_blank",
             "scrollbars,resizable,chrome,dialog=no",
             getBrowser().contentDocument.location, "charset=");
}



function setCheckyService(service){
	checkyService = service;
}




function doChecky() {

	var uri;	
	var activeUri = getBrowser().contentDocument.location;
	
	if(checkyService  =="xhtml"){
		uri = "http://validator.w3.org/check?uri=" + activeUri + "&charset=%28detect+automatically%29&doctype=Inline";
	
	}
	else if(checkyService  =="css"){
		uri = "http://jigsaw.w3.org/css-validator/validator?uri=" + activeUri + "&warning=1&profile=css2";
	
	}
	else if(checkyService  =="rdf"){
		uri ="http://www.w3.org/RDF/Validator/ARPServlet?RDF=&TRIPLES_AND_GRAPH=PRINT_BOTH&SAVE_DOT_FILE=&NTRIPLES=&EMBEDDED_RDF=&SAVE_RDF=&ANON_NODES_EMPTY=&NODE_COLOR=Black&NODE_TEXT_COLOR=Blue&EDGE_COLOR=Darkgreen&EDGE_TEXT_COLOR=Red&FONT_SIZE=10&ORIENTATION=LR&FORMAT=PNG_EMBED&URI=" + activeUri;
	
	}
	else if(checkyService  =="linkw3c"){
		uri = "http://validator.w3.org/checklink?uri="+activeUri+"&hide_type=all&depth=&check=Check"
	}
	else if(checkyService  =="tidy"){
		uri = "http://cgi.w3.org/cgi-bin/tidy?docAddr=" + activeUri;
	
	}

	else if(checkyService  =="wdghtml"){
		uri = "http://www.htmlhelp.com/cgi-bin/validate.cgi?url="+activeUri+"&warnings=yes&input=yes";
	
	}
	else if(checkyService  =="wdghtmlentire"){
		uri = "http://www.htmlhelp.com/cgi-bin/validate.cgi?url="+activeUri+"&warnings=yes&input=yes&spider=yes";
	
	}
	else if(checkyService  =="wdgcss"){
		uri = "http://www.htmlhelp.com/cgi-bin/csscheck.cgi?url="+activeUri+"&cssarea=&warnings=yes&input=yes";
	
	}
	else if(checkyService  =="wdglink"){
		uri = "http://www.htmlhelp.com/tools/valet/linktest.cgi?url="+activeUri+"&date=2000-01-01&type=Full";
	
	}

	else if(checkyService  =="webval"){
		uri = "http://valet.webthing.com/page/v3.1?url="+activeUri+"&wcag=3&fmt=HTML&xsl=wcag&parse=HTML";
	
	}
	else if(checkyService  =="webval2"){
		uri = "http://valet.webthing.com/page/val.cgi?url="+activeUri+"&input=on&demoronise=on&doctype=wdg";
	
	}

	else if(checkyService  =="lynx"){
		uri = "http://www.delorie.com/web/lynxview.cgi?url=" + activeUri;	
	
	}
	else if(checkyService  =="delpur"){
		uri = "http://www.delorie.com/web/purify.cgi?url="+activeUri+"&purity=html40s";
	
	}
	else if(checkyService  =="header"){
		uri = "http://www.delorie.com/web/headers.cgi?url="+ activeUri;
	
	}


	else if(checkyService  =="bobby"){
		uri = "http://bobby.watchfire.com/bobby/bobbyServlet?advanced=true&URL="+ activeUri +"&gl=wcag1-aaa&Text=text&line=line&an_errs=an_errs&stealth=Bobby%2F3.3&output=Submit";
	
	}
	else if(checkyService  =="508"){
		uri = "http://bobby.watchfire.com/bobby/bobbyServlet?URL="+ activeUri + "&output=Submit&gl=sec508";
	
	}

	else if(checkyService  =="wave"){
		uri = "http://pa-at-loan.org/cgi-bin/wave/wave.pl?uri=" + activeUri + "&usestyle=yes";
	
	}
	else if(checkyService  =="wave22"){
		uri = "http://pa-at-loan.org/cgi-bin/ywave/wave.pl?uri=" + activeUri + "&usestyle=yes";
	
	}

	else if(checkyService  =="rssbox"){
		uri = "http://www.redland.opensource.ac.uk/rss?uri=" + activeUri + "&Go=Go&parser=raptor&box=yes";
	
	}
	else if(checkyService  =="rss"){
		uri = "http://www.redland.opensource.ac.uk/rss?uri=" + activeUri + "&Go=Go&parser=raptor&box=no";
	
	}

	else if(checkyService  =="stgxml"){
		uri = "http://www.stg.brown.edu/cgi-bin/xmlvalid/xmlvalid.pl?language=de&URI="+activeUri+"&nowarn=&force=";
	
	}
	else if(checkyService  =="time"){
		uri = "http://www.topsubmit-online.de/cgi-bin/load/ltest3.pl?domain="+ activeUri +"&timeout=10&stylecss=http%3A//www.topsubmit-online.de/data/ts-style.css";
	
	}
	else if(checkyService  =="toplink"){
			uri = "http://www.topsubmit-online.de/cgi-bin/linkcheck/lcheck.pl?domain="+ activeUri + "&timeout=10&stylecss=http%3A//www.topsubmit-online.de/data/ts-style.css";

	}
	else if(checkyService  =="doctor"){
		uri = "http://www.doctor-html.com/RxHTML/cgi-bin/doc-new.cgi?doc_url="+activeUri+"&reportmode=1&Structure=1&Links=1&Spelling=1&Image1_syntax=1&Image1=1&MetaTags=1&TableStructure=1&FormStructure=1&Format_HTML=1&Squish_HTML=1&Frames_Expand=1&Display_Cookies=1&Browser=1&Fonts=1&Show_Commands=1";
	
	}
	else if(checkyService  =="lynxme"){
		uri = "http://ugweb.cs.ualberta.ca/~gerald/lynx-me.cgi?url="+activeUri;
	
	}

	else if(checkyService  =="taw"){
		uri = "http://www.tawdis.net/servlets/taw?url="+activeUri+"&tipo=3&i=1&mail=&Submit=Revisar"
	}

	else{
		alert("Please select a Service...");
		return;
	}

	openWindow(uri);

}


function openWindow(uri){

  if(inNewTab){
		getBrowser().addTab(uri);
  }
  else{
	var checkyWindow;
	checkyWindow = window.open(uri, "checkyWin", "");
  }

}





